Skip to content

List User Interactions

Request

Security
BearerAuth
Path
identifierstringrequired
Enum:"email""id""UID"
Example:email
identifier_valuestringrequired
Example:john.smith@example.org
Bodyapplication/json
pageinteger
Example:1
per_pageinteger, [ 1 .. 100 ]
Default:50
Example:50
interactions_fromstring
Example:"1970-01-30T00:00:00.000000Z"
interactions_tostring
Example:"1970-01-30T00:00:00.000000Z"
POST
/v3/Interactions/list/{identifier}/{identifier_value}
curl -i -X POST \
  https://propello-cloud.redocly.app/_mock/openapi/v3/Interactions/list/email/john.smith@example.org \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "page": 1,
    "per_page": 50,
    "interactions_from": "1970-01-30T00:00:00.000000Z",
    "interactions_to": "1970-01-30T00:00:00.000000Z"
  }'

Responses

OK

Bodyapplication/json
statusinteger
Example:200
timestampstring
Example:"1970-01-30T00:00:00.000000Z"
dataArray of objects
Response
{ "status": 200, "timestamp": "1970-01-30T00:00:00.000000Z", "data": [ { … } ] }